#!/bin/sh

trap "kill 0" SIGINT

usage()
{
	p=`basename $0`
	echo "$p [-q <quality> ] <rate> <mp3file>"
}

quality=3
impl=0
while [ $# -gt 2 ] ; do
    case $1 in
    -q)
	shift
	quality=$1 ;;
    -i)
	shift
	impl=$1 ;;
     *)
       usage
       exit 1
     esac
     shift
done

if [ $# -ne 2 ] ; then
   usage
   exit 1
fi

# We assume mp3 file is cd quality.  it is for my collection :-)
dst_rate=$1
mp3_file=$2
if [ ${dst_rate} -lt 44100 ] ; then
    mpg123 -s ${mp3_file} | 						      \
        ./feeder_sinc -i ${impl} -q $quality -c 2 44100 ${dst_rate} |	      \
	./feeder_rate_new -c 2 44100 ${dst_rate} |			      \
	./rawplay -c 2 ${dst_rate}
elif [ ${dst_rate} -gt 44100 ] ; then
    mpg123 -s ${mp3_file} | 						      \
	./feeder_rate_new -c 2 44100 ${dst_rate} |			      \
        ./feeder_sinc -i ${impl} -q $quality -c 2 44100 ${dst_rate} |	      \
	./rawplay -c 2 ${dst_rate}
else
    mpg123 -s ${mp3_file} | 						      \
	./rawplay -c 2 ${dst_rate}
fi